## Apache Zeta Components Manual :: Docs For Class ezcArchiveException

### Archive::ezcArchiveException

### Class ezcArchiveException

General exception class for the Archive package.

Source for this file: /Archive/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcArchiveException

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcArchiveInternalException | Exception used when an internal errors occurs in the Archive component.
ezcArchiveValueException | Exception thrown when encountering a wrong archive value.
ezcArchiveBlockSizeException | Exception will be thrown when the block-size of an archive is invalid.
ezcArchiveEmptyException | Exception for when an archive is empty.
ezcArchiveChecksumException | Exception will be thrown when the checksum of the file is invalid.
ezcArchiveIoException | Exception thrown when an IO error occurs.
ezcArchiveEntryPrefixException | An exception for an invalid prefix of a file entry.
ezcArchiveUnknownTypeException | Exception thrown when encountering an archive of an unknow type.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcArchiveException | `__construct( $message )` Construct a new archive exception.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcArchiveException __construct( string $message )

Construct a new archive exception.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcArchiveInternalException::__construct()` | Construct an internal archive exception.
`ezcArchiveValueException::__construct()` | Construct an archive exception.
`ezcArchiveBlockSizeException::__construct()` | Constructs a new block-size exception for the specified archive.
`ezcArchiveEmptyException::__construct()` | Constructs a new exception for empty archive.
`ezcArchiveChecksumException::__construct()` | Constructs a new checksum exception for the specified file.
`ezcArchiveIoException::__construct()` | Constructs a new IO exception.
`ezcArchiveEntryPrefixException::__construct()` | Constructs a new entry prefix exception for the specified file entry.
`ezcArchiveUnknownTypeException::__construct()` | Constructs a new unknown type exception for the specified archive.

Documentation generated by phpDocumentor 1.4.3